Package Details: yubico-piv-tool 2.2.0-2

Git Clone URL: https://aur.archlinux.org/yubico-piv-tool.git (read-only, click to copy)
Package Base: yubico-piv-tool
Description: Tool to interact with the PIV applet on a YubiKey NEO
Upstream URL: https://developers.yubico.com/yubico-piv-tool/
Licenses: GPL3
Submitter: travisghansen
Maintainer: travisghansen
Last Packager: travisghansen
Votes: 23
Popularity: 0.49
First Submitted: 2014-12-29 06:34
Last Updated: 2021-02-04 15:04

Latest Comments

1 2 3 Next › Last »

travisghansen commented on 2021-02-11 05:08

The package is signed with an expired eky.

gpg --verify yubico-piv-tool-2.2.0.tar.gz.sig gpg: assuming signed data in 'yubico-piv-tool-2.2.0.tar.gz' gpg: Signature made Thu 17 Dec 2020 06:08:49 AM MST gpg: using RSA key 70D7145F2F35C4745501829A1B21578FC4686BFE gpg: Good signature from "Aveen Ismail aveen.ismail@yubico.com" [expired] gpg: Note: This key has expired! Primary key fingerprint: 1D73 08B0 055F 5AEF 3694 4A8F 27A9 C24D 9588 EA0F Subkey fingerprint: 70D7 145F 2F35 C474 5501 829A 1B21 578F C468 6BFE

The key is in the list for the package...it appears to just be expired. The package installs just fine for me though.

qua commented on 2021-02-11 03:26

I believe that the install is failing not due to the expired GPG keys, but because the package has been signed by someone not on the authorized developers list. I've reached out to Yubico to see if they will update their authorized developers list.

jumanji commented on 2021-02-04 23:15

gpg keys 9AA9BDB11BB1B99A21285A330664A76954265E8C and EE90AE0D19774C8386628FAAB428949EF7914718 expired more than a year ago. It looks like they belonged to people that no longer sign releases. Should they be removed?

travisghansen commented on 2021-02-04 15:05

Added.

anhi commented on 2021-02-03 21:27

Please add architecture aarch64

diff --git a/PKGBUILD b/PKGBUILD index ecdc90d..758fbfc 100644 --- a/PKGBUILD +++ b/PKGBUILD @@ -4,7 +4,7 @@ pkgname=yubico-piv-tool pkgver=2.2.0 pkgrel=1 pkgdesc="Tool to interact with the PIV applet on a YubiKey NEO" -arch=('armv7h' 'i686' 'x86_64') +arch=('armv7h' 'i686' 'x86_64' 'aarch64') license=('GPL3') depends=('pcsclite' 'openssl') makedepends=('check' 'cmake' 'gengetopt' 'help2man')

DDoSolitary commented on 2020-07-12 17:01

Missing build dependency: cmake

erikryverling commented on 2020-03-06 08:55

@travisghansen Ah! Sorry. I missed that. Thanks.

travisghansen commented on 2020-02-21 17:15

@erikryverling I don't see a new release. Regarding the key see the earlier comments about importing the ID.

erikryverling commented on 2020-02-21 07:02

yubico-piv-tool-2.0.0.tar.gz ... FAILED (unknown public key 1B21578FC4686BFE)

JohnMaguire commented on 2018-10-26 14:30

@travisghansen Working great, thanks!